package graphics

import rl "github.com/gen2brain/raylib-go/raylib"

type Tile struct {
	Size byte
	X, Y byte
}

// GetTexRect returns the texture rectangle.
func (t Tile) GetTexRect() rl.Rectangle {
	return rl.Rectangle{
		X:      float32(t.X * t.Size),
		Y:      float32(t.Y * t.Size),
		Width:  float32(t.Size),
		Height: float32(t.Size),
	}
}
